# $Id: smeserver-nagios-nsca.spec,v 1.2 2013/10/27 17:10:47 unnilennium Exp $
# Authority: mweinber
# Name: Michael Weinberger

Summary: Nagios nsca integration
%define name smeserver-nagios-nsca
Name: %{name}
%define version 2.0.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: smeserver-release >= 7.1.3
Requires: nagios-nsca >= 2.6
Requires: nagios-plugins
Requires: nagios-plugins-nrpe
Requires: nagios-plugins-setuid
Requires: perl-Config-Tiny
Requires: smeserver-nagios-backup
Requires: perl-Nagios-Plugin
Requires: smeserver-nagios-plugins-mysql
BuildRequires: e-smith-devtools
AutoReq: no

%changelog
* Sun Oct 27 2013 JP Pialasse <tests@pialasse.com> 2.0.0-2.sme
- adding Requires to smooth the installation

* Mon Nov 17 2008 Michael Weinberger <mweinber@neddix.de> 2.0.0-1.sme
  removed script from specfile

* Thu Oct 1 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
Nagios nsca integration

Setting the TCP wrapper allowed hosts:
config setprop nsca HostsAllow "127.0.0.1 10.203.104.0/255.255.252.0 172.22.32.0/255.255.240.0"
expand-template /etc/hosts.allow


%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist  $RPM_BUILD_ROOT \
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
